if( SERVER ) then
AddCSLuaFile( "shared.lua" )
end

if( CLIENT ) then
SWEP.BounceWeaponIcon = false
SWEP.WepSelectIcon	= surface.GetTextureID("")
killicon.Add("","",Color(255,255,255))
end

SWEP.PrintName 		= "Rusty Pipe"
SWEP.Slot 			= 0
SWEP.SlotPos 		= 1
SWEP.DrawAmmo 		= false
SWEP.DrawCrosshair 	= false
SWEP.Author			= "Anders Raid"
SWEP.Instructions	= "It's a pipe, Primary to attack!"
SWEP.Contact		= "Anders Raid (Steam)"
SWEP.Purpose		= "It's a pipe, go kill zombies with it!"
SWEP.Category		= "Realistic Stuff"

SWEP.ViewModelFOV	= 60
SWEP.ViewModelFlip	= false

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true


SWEP.ViewModel      = ""
SWEP.WorldModel   	= "models/props_canal/mattpipe.mdl"

SWEP.Primary.Delay				= 1
SWEP.Primary.ClipSize			= -1
SWEP.Primary.DefaultClip		= -1
SWEP.Primary.Automatic   		= false
SWEP.Primary.Ammo         		= "none"

SWEP.Secondary.Delay			= 0.4
SWEP.Secondary.ClipSize			= -1
SWEP.Secondary.DefaultClip		= -1
SWEP.Secondary.Automatic  	 	= false
SWEP.Secondary.Ammo         	= "none"

SWEP.Delay=1
SWEP.Range=50
SWEP.Damage=35

function SWEP:Initialize()
    self:SetWeaponHoldType("melee")
end

function SWEP:PrimaryAttack()
    self:SetNextPrimaryFire(CurTime() + self.Delay)
    self.Owner:SetAnimation(PLAYER_ATTACK1)
    local tracedata = {}
    tracedata.start = self.Owner:EyePos()
    tracedata.endpos = self.Owner:EyePos()+(self.Owner:GetAimVector()*self.Range)
    tracedata.filter = {self.Owner}
    local trace = util.TraceLine(tracedata)
    if(trace.Hit)then
        self:SendWeaponAnim(ACT_VM_HITCENTER)
        if((not trace.HitWorld) and SERVER)then
            local Dmg = DamageInfo()
            Dmg:SetAttacker(self.Owner)
            Dmg:SetInflictor(self)
            Dmg:SetDamage(self.Damage)
            Dmg:SetDamageForce(self.Owner:EyeAngles():Forward()*(self.Damage*700))
            Dmg:SetDamagePosition(self.Owner:EyePos())
            Dmg:SetDamageType(DMG_SLASH)
            trace.Entity:TakeDamageInfo(Dmg)
            if(ValidEntity(trace.Entity:GetPhysicsObject()))then
                trace.Entity:SetPhysicsAttacker(self.Owner)
            end
        end
        if(trace.MatType!=MAT_GRATE)then
            local B = {}
            B.Num=1
            B.Src=self.Owner:EyePos()
            B.Dir=self.Owner:GetAimVector()
            B.Spread=Vector(0,0,0)
            B.Tracer=0    
            B.Force=0
            B.Damage=0
            self.Owner:FireBullets(B)
        end
    else
        self:SendWeaponAnim(ACT_VM_MISSCENTER)
    end    
end

function SWEP:SecondaryAttack()
    return false
end