SWEP.Base = "weapon_base"
SWEP.Author = "Anders Raid";
SWEP.Contact = "You can contact me on steam, Anders Raid";
SWEP.Purpose = "If your Shotgun is outta ammo, use this.";
SWEP.Instructions = "Pull the trigger, dumbass";
SWEP.PrintName = "Raider Pistol";
SWEP.Slot = 1;
SWEP.SlotPos = 2;
SWEP.DrawCrosshair = false;

SWEP.ViewModel = "models/weapons/v_pist_p228.mdl";
SWEP.WorldModel = "models/weapons/w_pist_p228.mdl";
SWEP.ViewModelFOV = 64;

SWEP.ReloadSound = "weapons/pistol/pistol_reload.wav";
SWEP.HoldType = "pistol";

SWEP.Spawnable = true;
SWEP.AdminSpawnable = true;

SWEP.Weight = 3;
SWEP.AutoSwitchTo = false;
SWEP.AutoSwitchFrom = true;
SWEP.FiresUnderwater = false;

SWEP.Primary.ClipSize = 12;
SWEP.Primary.DefaultClip = 12;
SWEP.Primary.Recoil = 1;
SWEP.Primary.Damage = 27;

SWEP.Primary.NumberofShots = 1;
SWEP.Primary.Spread = 0.1;
SWEP.Primary.Delay = 0.4;

SWEP.Primary.Automatic = false;
SWEP.Primary.Ammo = "Pistol";
SWEP.Primary.Sound = "weapons/pistol/pistol_fire2.wav";
SWEP.Primary.Force = 10;
SWEP.Primary.TakeAmmo = 1;



function SWEP:Initialize()
    if ( SERVER ) then
       self:SetWeaponHoldType( self.HoldType )
   end
end

function SWEP:PrimaryAttack()
   if ( !self:CanPrimaryAttack() ) then return end
   local bullet = {};
       bullet.Num = self.Primary.NumberofShots;
       bullet.Src = self.Owner:GetShootPos();
       bullet.Dir = self.Owner:GetAimVector();
       bullet.Spread = Vector( self.Primary.Spread * 0.1 , self.Primary.Spread * 0.1, 0);
       bullet.Tracer = 0;
       bullet.Force = self.Primary.Force;
       bullet.Damage = self.Primary.Damage;
       bullet.AmmoType = self.Primary.Ammo;
   local rnda = -self.Primary.Recoil;
   local rndb = self.Primary.Recoil * math.random(-1, 1);
   self:ShootEffects();
   self.Owner:FireBullets( bullet );
   self.Weapon:EmitSound(Sound(self.Primary.Sound))
   self.Owner:ViewPunch( Angle( rnda,rndb,rnda ) )
   self:TakePrimaryAmmo(self.Primary.TakeAmmo)
   self.Weapon:SetNextPrimaryFire( CurTime() + self.Primary.Delay )
    self.Weapon:SetNextSecondaryFire( CurTime() + self.Primary.Delay )
end

function SWEP:SecondaryAttack()
    return false
end

function SWEP:Think()
end

function SWEP:Reload()
   self.Weapon:DefaultReload(ACT_VM_RELOAD)
   return true
end

function SWEP:Deploy()
   self.Weapon:SendWeaponAnim(ACT_VM_DRAW);
   return true
end

function SWEP:Holster()
   return true
end
